Searched refs:tmp (Results 1 - 25 of 1981) sorted by relevance

1234567891011>>

/freebsd-13-stable/contrib/netbsd-tests/usr.bin/xlint/lint1/
H A Dd_gcc_compound_statements1.c5 z = ({ unsigned long tmp; tmp = 1; tmp; });
/freebsd-13-stable/crypto/heimdal/lib/roken/
H A Dgetipnodebyaddr.c46 struct hostent *tmp; local
48 tmp = gethostbyaddr (src, len, af);
49 if (tmp == NULL) {
65 tmp = copyhostent (tmp);
66 if (tmp == NULL) {
70 return tmp;
H A Demalloc.c48 void *tmp = malloc (sz); local
50 if (tmp == NULL && sz != 0)
52 return tmp;
H A Destrdup.c48 char *tmp = strdup (str); local
50 if (tmp == NULL)
52 return tmp;
H A Dgetipnodebyname.c50 struct hostent *tmp; local
53 tmp = gethostbyname2 (name, af);
59 tmp = gethostbyname (name);
61 if (tmp == NULL) {
77 tmp = copyhostent (tmp);
78 if (tmp == NULL) {
82 return tmp;
/freebsd-13-stable/usr.bin/gzip/
H A Dgzexe39 tmp=`/usr/bin/mktemp -d /tmp/gzexeXXXXXXXXXX` || {
40 /bin/echo "$prog: cannot create tmp dir"; exit 1
42 trap '/bin/rm -rf "$tmp"' 0
44 /usr/bin/gzip -dc > "$tmp/$prog" 2> /dev/null; then
45 /bin/chmod u+x "$tmp/$prog"
46 "$tmp/$prog" ${1+"$@"}
63 tmp=`mktemp /tmp/gzexeXXXXXXXXXX` || {
64 echo "$prog: cannot create tmp fil
[all...]
/freebsd-13-stable/usr.sbin/fifolog/fifolog_reader/
H A DMakefile12 ./${PROG} /tmp/fifolog.0
13 ./${PROG} -t /tmp/fifolog.0
14 ./${PROG} /tmp/fifolog.1
15 ./${PROG} -B "00:00" /tmp/fifolog.1
16 ./${PROG} -T "%y%m%d-%H%M%S" /tmp/fifolog.1
17 ./${PROG} -T "" /tmp/fifolog.1
/freebsd-13-stable/contrib/libevent/test/
H A Dregress.gen.c50 struct msg *tmp; local
51 if ((tmp = malloc(sizeof(struct msg))) == NULL) {
55 tmp->base = &msg_base__;
57 tmp->from_name_data = NULL;
58 tmp->from_name_set = 0;
60 tmp->to_name_data = NULL;
61 tmp->to_name_set = 0;
63 tmp->attack_data = NULL;
64 tmp->attack_set = 0;
66 tmp
136 struct evbuffer *tmp = NULL; local
178 struct evbuffer *tmp = NULL; local
243 msg_clear(struct msg *tmp) argument
274 msg_free(struct msg *tmp) argument
298 msg_marshal(struct evbuffer *evbuf, const struct msg *tmp) argument
315 msg_unmarshal(struct msg *tmp, struct evbuffer *evbuf) argument
412 struct evbuffer *tmp = evbuffer_new(); local
460 struct kill *tmp; local
578 kill_clear(struct kill *tmp) argument
600 kill_free(struct kill *tmp) argument
618 kill_marshal(struct evbuffer *evbuf, const struct kill *tmp) argument
632 kill_unmarshal(struct kill *tmp, struct evbuffer *evbuf) argument
703 struct evbuffer *tmp = evbuffer_new(); local
758 struct run *tmp; local
992 run_clear(struct run *tmp) argument
1029 run_free(struct run *tmp) argument
1059 run_marshal(struct evbuffer *evbuf, const struct run *tmp) argument
1087 run_unmarshal(struct run *tmp, struct evbuffer *evbuf) argument
1201 struct evbuffer *tmp = evbuffer_new(); local
[all...]
/freebsd-13-stable/contrib/ntp/sntp/libevent/test/
H A Dregress.gen.c50 struct msg *tmp; local
51 if ((tmp = malloc(sizeof(struct msg))) == NULL) {
55 tmp->base = &msg_base__;
57 tmp->from_name_data = NULL;
58 tmp->from_name_set = 0;
60 tmp->to_name_data = NULL;
61 tmp->to_name_set = 0;
63 tmp->attack_data = NULL;
64 tmp->attack_set = 0;
66 tmp
136 struct evbuffer *tmp = NULL; local
178 struct evbuffer *tmp = NULL; local
243 msg_clear(struct msg *tmp) argument
274 msg_free(struct msg *tmp) argument
298 msg_marshal(struct evbuffer *evbuf, const struct msg *tmp) argument
315 msg_unmarshal(struct msg *tmp, struct evbuffer *evbuf) argument
412 struct evbuffer *tmp = evbuffer_new(); local
460 struct kill *tmp; local
578 kill_clear(struct kill *tmp) argument
600 kill_free(struct kill *tmp) argument
618 kill_marshal(struct evbuffer *evbuf, const struct kill *tmp) argument
632 kill_unmarshal(struct kill *tmp, struct evbuffer *evbuf) argument
703 struct evbuffer *tmp = evbuffer_new(); local
758 struct run *tmp; local
992 run_clear(struct run *tmp) argument
1029 run_free(struct run *tmp) argument
1059 run_marshal(struct evbuffer *evbuf, const struct run *tmp) argument
1087 run_unmarshal(struct run *tmp, struct evbuffer *evbuf) argument
1201 struct evbuffer *tmp = evbuffer_new(); local
[all...]
/freebsd-13-stable/sys/riscv/include/
H A Dasm.h61 #define SET_FAULT_HANDLER(handler, tmp) \
62 ld tmp, PC_CURTHREAD(tp); \
63 ld tmp, TD_PCB(tmp); /* Load the pcb */ \
64 sd handler, PCB_ONFAULT(tmp) /* Set the handler */
66 #define ENTER_USER_ACCESS(tmp) \
67 li tmp, SSTATUS_SUM; \
68 csrs sstatus, tmp
70 #define EXIT_USER_ACCESS(tmp) \
71 li tmp, SSTATUS_SU
[all...]
/freebsd-13-stable/tools/regression/msdosfs/
H A Dmsdosfstest-4.sh6 mkdir /tmp/msdosfstest
10 mount_msdosfs -L uk_UA.KOI8-U -D CP866 -l /dev/md10a /tmp/msdosfstest
12 # mkdir /tmp/msdosfstest/�� (CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I)
13 mkdir /tmp/msdosfstest/$'\246'
16 cd /tmp/msdosfstest/$'\246'
19 cd /tmp
20 umount /tmp/msdosfstest
21 mount_msdosfs -L uk_UA.KOI8-U -D CP866 -s /dev/md10a /tmp/msdosfstest
22 cd /tmp/msdosfstest/_~1
34 cd /tmp
[all...]
H A Dmsdosfstest-5.sh8 mkdir /tmp/msdosfstest
12 mount_msdosfs -L ja_JP.eucJP -D CP932 -l /dev/md10a /tmp/msdosfstest
14 # touch /tmp/msdosfstest/��� (HALFWIDTH KATAKANA LETTER A)
15 touch /tmp/msdosfstest/$'\216\261'
17 umount /tmp/msdosfstest
18 mount_msdosfs -L ja_JP.eucJP -D CP932 -s /dev/md10a /tmp/msdosfstest
19 ls /tmp/msdosfstest/$'\216\261'
22 umount /tmp/msdosfstest
23 mount_msdosfs -L uk_UA.KOI8-U -D CP866 -l /dev/md10a /tmp/msdosfstest
25 # ls /tmp/msdosfstes
[all...]
H A Dmsdosfstest.sh7 mkdir /tmp/msdosfstest/
11 mount_msdosfs /dev/md10a /tmp/msdosfstest/
12 cp -R /usr/src/bin/ /tmp/msdosfstest/
13 umount /tmp/msdosfstest/
14 mount_msdosfs /dev/md10a /tmp/msdosfstest/
15 diff -u -r /usr/src/bin /tmp/msdosfstest/
21 umount /tmp/msdosfstest/
23 rmdir /tmp/msdosfstest/
/freebsd-13-stable/contrib/bearssl/src/ec/
H A Decdsa_rta.c59 unsigned char tmp[257]; local
79 tmp[0] = 0x30;
82 tmp[1] = 0x81;
83 tmp[2] = zlen;
86 tmp[1] = zlen;
93 tmp[off ++] = 0x02;
94 tmp[off ++] = rlen;
96 tmp[off] = 0x00;
97 memcpy(tmp + off + 1, buf, hlen);
99 memcpy(tmp
[all...]
/freebsd-13-stable/contrib/file/src/
H A Dgmtime_r.c14 struct tm *tmp = gmtime(t); local
15 if (tmp == NULL)
17 memcpy(tm, tmp, sizeof(*tm));
18 return tmp;
H A Dlocaltime_r.c14 struct tm *tmp = localtime(t); local
15 if (tmp == NULL)
17 memcpy(tm, tmp, sizeof(*tm));
18 return tmp;
/freebsd-13-stable/contrib/mandoc/
H A Dgmdiff48 $ROFF -mandoc $file | $COLPIPE 2> /tmp/roff.err > /tmp/roff.out
50 2> /tmp/mandoc.err > /tmp/mandoc.out
52 [ -s /tmp/$i.err ] && echo "$i errors:" && cat /tmp/$i.err
54 diff -au $DIFFOPT /tmp/roff.out /tmp/mandoc.out 2>&1
/freebsd-13-stable/tools/tools/kernelcruft/
H A Dkernelcruft.sh14 ' | sort -u > /tmp/_0
20 ' | sort -u > /tmp/_1
22 find * -name '*.[ch]' -print | xargs grep 'include.*c[>"]' > /tmp/_2
28 ' > /tmp/_3
30 comm -13 /tmp/_0 /tmp/_1 | while read f
33 if grep $b /tmp/_2 > /dev/null ; then
37 if grep $b /tmp/_3 > /dev/null ; then
/freebsd-13-stable/tools/tools/usb/
H A Dprint-usb-if-vids.sh30 fetch -o /tmp/usb.if http://www.usb.org/developers/tools/comp_dump/
31 awk -F '|' '{ printf "%#06x\t%s\n", $1, $2 }' < /tmp/usb.if | sort
/freebsd-13-stable/sys/contrib/openzfs/tests/zfs-tests/tests/functional/xattr/
H A Dxattr_004_pos.ksh51 if ismounted /tmp/$NEWFS_DEFAULT_FS.$$ $NEWFS_DEFAULT_FS; then
52 log_must umount /tmp/$NEWFS_DEFAULT_FS.$$
53 log_must rm -rf /tmp/$NEWFS_DEFAULT_FS.$$
65 log_must mkdir /tmp/$NEWFS_DEFAULT_FS.$$
68 /tmp/$NEWFS_DEFAULT_FS.$$
71 log_must touch /tmp/$NEWFS_DEFAULT_FS.$$/$NEWFS_DEFAULT_FS-file.$$
73 log_must runat /tmp/$NEWFS_DEFAULT_FS.$$/$NEWFS_DEFAULT_FS-file.$$ \
77 log_must cp -@ /tmp/$NEWFS_DEFAULT_FS.$$/$NEWFS_DEFAULT_FS-file.$$ \
84 log_must umount /tmp/$NEWFS_DEFAULT_FS.$$
90 $ZVOL_DEVDIR/$TESTPOOL/$TESTFS/zvol /tmp/
[all...]
/freebsd-13-stable/tests/sys/sys/
H A Drb_test.c63 struct node *tmp, *ins; local
71 tmp = malloc(sizeof(struct node));
72 ATF_REQUIRE_MSG(tmp != NULL, "malloc failed");
74 tmp->key = arc4random_uniform(MAX-MIN);
75 tmp->key += MIN;
76 } while (RB_FIND(tree, &root, tmp) != NULL);
78 max = min = tmp->key;
80 if (tmp->key > max)
81 max = tmp->key;
82 if (tmp
[all...]
H A Dsplay_test.c63 struct node *tmp, *ins; local
71 tmp = malloc(sizeof(struct node));
72 ATF_REQUIRE_MSG(tmp != NULL, "malloc failed");
74 tmp->key = arc4random_uniform(MAX-MIN);
75 tmp->key += MIN;
76 } while (SPLAY_FIND(tree, &root, tmp) != NULL);
78 max = min = tmp->key;
80 if (tmp->key > max)
81 max = tmp->key;
82 if (tmp
[all...]
/freebsd-13-stable/sys/contrib/ncsw/Peripherals/FM/MAC/
H A Dfman_memac.c54 uint32_t tmp; local
56 tmp = ioread32be(&regs->command_config);
59 tmp |= CMD_CFG_PROMIS_EN;
61 tmp &= ~CMD_CFG_PROMIS_EN;
63 iowrite32be(tmp, &regs->command_config);
101 uint32_t tmp; local
103 tmp = ioread32be(&regs->command_config);
106 tmp |= CMD_CFG_RX_EN;
109 tmp |= CMD_CFG_TX_EN;
111 iowrite32be(tmp,
116 uint32_t tmp; local
131 uint32_t tmp; local
144 uint32_t tmp; local
162 uint32_t tmp; local
242 uint32_t tmp; local
272 uint32_t tmp; local
285 uint32_t tmp; local
325 uint32_t tmp; local
338 uint32_t tmp; local
449 uint32_t tmp; local
[all...]
/freebsd-13-stable/libexec/rc/rc.d/
H A Dcleartmp7 # REQUIRE: mountcritremote tmp
13 desc="Purge /tmp directory"
21 # Make /tmp location variable for easier debugging.
22 local tmp="/tmp"
24 # X related directories to create in /tmp.
25 local x11_socket_dirs="${tmp}/.X11-unix ${tmp}/.XIM-unix \
26 ${tmp}/.ICE-unix ${tmp}/
[all...]
/freebsd-13-stable/usr.bin/unifdef/
H A Dunifdefall.sh47 tmp=$(mktemp -d "${TMPDIR:-/tmp}/${0##*/}.XXXXXXXXXX") || exit 2
48 trap 'rm -r "$tmp" || exit 2' EXIT
53 "$unifdef" $debug -s "$@" | sort -u | sed 's/^/#undef /' >"$tmp/undefs"
55 cc -E -dM "$@" | sort >"$tmp/defs"
58 -d) cat "$tmp/undefs" "$tmp/defs" 1>&2
62 "$unifdef" $debug -k -f "$tmp/undefs" -f "$tmp/defs" "$@"

Completed in 328 milliseconds

1234567891011>>